package com.cnbm.basic.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 工序 表
 * </p>
 *
 * @author why
 * @since 2022-07-15
 */
@Data
@TableName("product_workingprocedure_relation")
@ApiModel(value = "ProductWorkingprocedureRelation对象", description = "工序 表")
public class ProductWorkingprocedureRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private BigDecimal id;

    @ApiModelProperty("产品id,关联product表")
    private BigDecimal productId;

    @ApiModelProperty("工序id,关联 working_procedure 表")
    private BigDecimal workingProcedureId;

    @ApiModelProperty("顺序，工序是有先后顺序的。")
    private BigDecimal order;

    @ApiModelProperty("检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验;;如果有多个用逗号隔开，比如 1,4 就代表选中了进货检验和出货检验")
    private BigDecimal inspectionStage;

    @ApiModelProperty("1 可用，0 不可用")
    private BigDecimal status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private BigDecimal valid;

    @ApiModelProperty("创建人")
    private BigDecimal creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private BigDecimal updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private BigDecimal version;


}
